Package org.eclipse.birt.chart.script.api.series.data

# Interface IStockData

All Superinterfaces:
  `ISeriesData`

public interface IStockData extends ISeriesData
Represents the data contained in the Stock Series

## Method Summary

Modifier and Type
Method
Description
`String`
`getCloseExpr()`
Gets the expression of Close.
`String`
`getHighExpr()`
Gets the expression of High.
`String`
`getLowExpr()`
Gets the expression of Low.
`String`
`getOpenExpr()`
Gets the expression of Open.
`void`
`setCloseExpr(String expr)`
Sets the query expression of Close.
`void`
`setHighExpr(String expr)`
Sets the query expression of High.
`void`
`setLowExpr(String expr)`
Sets the query expression of Low.
`void`
`setOpenExpr(String expr)`
Sets the query expression of Open.

## Method Details

### getOpenExpr

String getOpenExpr()
Gets the expression of Open.

Returns:
  Open expression

### getCloseExpr

String getCloseExpr()
Gets the expression of Close.

Returns:
  Close expression

### getHighExpr

String getHighExpr()
Gets the expression of High.

Returns:
  High expression

### getLowExpr

String getLowExpr()
Gets the expression of Low.

Returns:
  Low expression

### setHighExpr

void setHighExpr(String expr)
Sets the query expression of High.

Parameters:
  `High` - expression

### setLowExpr

void setLowExpr(String expr)
Sets the query expression of Low.

Parameters:
  `Low` - expression

### setOpenExpr

void setOpenExpr(String expr)
Sets the query expression of Open.

Parameters:
  `Open` - expression

### setCloseExpr

void setCloseExpr(String expr)
Sets the query expression of Close.

Parameters:
  `Close` - expression